Attribute VB_Name = "modEncodings"
'RUMINT, A PVR for network traffic
'Copyright (C) 2005 Greg Conti

'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.

'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Option Explicit

Public gEther As ColorConstants
Public gIP As ColorConstants

Public gTCP As ColorConstants
Public gUDP As ColorConstants
Public gICMP As ColorConstants
Public gIGMP As ColorConstants
Public gOtherTransport As ColorConstants
Public gUnassignedTransport As ColorConstants

Public Function SetPlotColor(ByVal transportProtocol As Long) As ColorConstants
  Dim tempString As String
  tempString = modLookUp.lookupIPprotocol(transportProtocol)
  Select Case tempString
    Case "UDP"
      SetPlotColor = gUDP
    Case "TCP"
      SetPlotColor = gTCP
    Case "ICMP"
      SetPlotColor = gICMP
    Case "IGMP"
      SetPlotColor = gIGMP
    Case "Unassigned"
      SetPlotColor = gUnassignedTransport
    Case Else
      SetPlotColor = gOtherTransport
  End Select
End Function

Public Sub DisplayForm()
  'Debug.Print "displaying encodings form..."
  frmEncodings.Show
End Sub

Public Sub ExitForm()
  frmEncodings.Hide
End Sub
