VERSION 5.00
Object = "{F82B5D50-EC04-4350-9FBB-95E421B15F88}#1.0#0"; "PacketX.dll"
Begin VB.Form frmCapture 
   AutoRedraw      =   -1  'True
   BackColor       =   &H00404040&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Capture"
   ClientHeight    =   1710
   ClientLeft      =   3810
   ClientTop       =   3315
   ClientWidth     =   4650
   Icon            =   "frmCapture.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1710
   ScaleWidth      =   4650
   StartUpPosition =   2  'CenterScreen
   Begin VB.ComboBox cmbInterface 
      Height          =   315
      Left            =   120
      TabIndex        =   2
      TabStop         =   0   'False
      Text            =   "Select Interface"
      Top             =   360
      Width           =   4455
   End
   Begin VB.CommandButton btnStop 
      Caption         =   "Stop"
      Height          =   735
      Left            =   3600
      TabIndex        =   1
      Top             =   840
      Width           =   975
   End
   Begin VB.CommandButton btnStart 
      BackColor       =   &H00808080&
      Caption         =   "Start"
      Height          =   735
      Left            =   2400
      TabIndex        =   0
      Top             =   840
      Width           =   975
   End
   Begin PacketXLibCtl.PacketXCtrl packet 
      Height          =   375
      Left            =   1200
      OleObjectBlob   =   "frmCapture.frx":030A
      TabIndex        =   4
      Top             =   1200
      Visible         =   0   'False
      Width           =   495
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Current Network Interface"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   2895
   End
End
Attribute VB_Name = "frmCapture"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'RUMINT, A PVR for network traffic
'Copyright (C) 2005 Greg Conti

'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.

'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Option Explicit

Private Sub btnStart_Click()
 Call StartCapture
End Sub

Private Sub btnStop_Click()
  Call StopCapture
End Sub

Private Sub Form_Load()
 Call ProbeAdapters
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Call modLibrary.UnloadedForm(Me, frmFilters.ToolCapture)
  'add code to remember state of buttons and capture
End Sub

Private Sub packet_OnPacket(ByVal oPacket As PacketXLibCtl.IPktXPacket)
  Dim byteCounter As Long
  Dim location As Long
  'modLibrary.packetBufferIndex = modLibrary.packetBufferIndex + 1
  'modLibrary.packetBuffer(modLibrary.packetBufferIndex, byteCounter) = packedBytePacket(byteCounter)
  location = modLibrary.putPacket(oPacket.Data, oPacket.DataSize - 1)
  'modLibrary.packetLenBuffer(modLibrary.packetBufferIndex) = oPacket.DataSize
  'For byteCounter = 0 To oPacket.DataSize - 1
  '  modLibrary.packetBuffer(modLibrary.packetBufferIndex, byteCounter) = oPacket.Data(byteCounter)
  'Next byteCounter
  
  Call modVisualize.selectedPlot(location, location)
  'Debug.Print modLibrary.packetBufferIndex
End Sub

'Public Function CaptureStatus() As String
'  'todo confirm whether to clearbuffer
'  modLibrary.initBuffer ("capture") 'clear the buffer
'  modVisualize.clearAllVisualizationWindows
'End Function

Public Sub StartCapture()
  'packet.Adapter = packet.Adapters.Item(frmCapture.cmbInterface.ListIndex + 1) 'change card
  packet.Adapter = packet.Adapters(frmCapture.cmbInterface.ListIndex + 1) 'change card
  
  '// Select network adapter
'oPktX.Adapter = Nothing
'While oPktX.Adapter Is Nothing
'  WScript.StdOut.Write "Choose adapter#"
'  On Error Resume Next
'    oPktX.Adapter = oPktX.Adapters(RTrim(LTrim(WScript.StdIn.ReadLine)))
'  On Error GoTo 0
'Wend
  
  packet.Start 'this may cause error on incorrect adapters
  btnStop.Enabled = True
  btnStart.Enabled = False
  'todo confirm whether to clearbuffer
  Call modLibrary.initBuffer("capture")  'clear the buffer
  modVisualize.clearAllVisualizationWindows
End Sub

Public Sub StopCapture()
  packet.Stop
  btnStop.Enabled = False
  btnStart.Enabled = True
End Sub

'probe for adapters, set default and update drop down box
Public Sub ProbeAdapters()
  Dim loopCounter As Long
  Dim currentAdapter As Adapter
  Dim adapterCounter As Long
  
  packet.Reset 'important!, otherwise your users will only see the adapters from the developers machine
    
  If (frmCapture.packet.Adapters.Count = 0) Then
    cmbInterface.Text = "No adapters found"
    cmbInterface.Enabled = False
  Else
    
    'For Each currentAdapter In packet.Adapters
    '  cmbInterface.AddItem currentAdapter.Description
    'Next
    'cmbInterface.Text = packet.Adapters.Item(1).Description
    
    For adapterCounter = 1 To frmCapture.packet.Adapters.Count
      If packet.Adapters(adapterCounter).IsGood Then
        cmbInterface.AddItem packet.Adapters(adapterCounter).Description
        'Debug.Print packet.Adapters(adapterCounter)
      Else
        cmbInterface.AddItem "unsupported adapter"
      End If
    Next
    cmbInterface.ListIndex = 0 'set default dropdown text to top adapter
  End If
  
  'might want to activate start button only if there is an adapter
  btnStop.Enabled = False
   
  

End Sub

Public Sub DisplayForm()
  frmCapture.Show
End Sub

Public Sub ExitForm()
  frmCapture.Hide
End Sub


