VERSION 5.00
Begin VB.Form frmVis2 
   AutoRedraw      =   -1  'True
   BackColor       =   &H00404040&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "rumint: Byte Frequency"
   ClientHeight    =   8235
   ClientLeft      =   8790
   ClientTop       =   1695
   ClientWidth     =   3915
   Icon            =   "frmVis2.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   549
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   261
   StartUpPosition =   2  'CenterScreen
   Begin VB.OptionButton radScroll 
      BackColor       =   &H00404040&
      Caption         =   "Option1"
      Height          =   255
      Index           =   1
      Left            =   2520
      TabIndex        =   11
      Top             =   6840
      Width           =   255
   End
   Begin VB.OptionButton radScroll 
      BackColor       =   &H00404040&
      Caption         =   "Option1"
      Height          =   255
      Index           =   0
      Left            =   2520
      TabIndex        =   10
      Top             =   6600
      Value           =   -1  'True
      Width           =   255
   End
   Begin VB.PictureBox picGraphBack 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      ForeColor       =   &H80000008&
      Height          =   6300
      Left            =   0
      ScaleHeight     =   418
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   256
      TabIndex        =   9
      Top             =   0
      Visible         =   0   'False
      Width           =   3870
   End
   Begin VB.HScrollBar scrThreshold 
      Height          =   255
      LargeChange     =   10
      Left            =   120
      Max             =   1000
      TabIndex        =   4
      Top             =   7440
      Visible         =   0   'False
      Width           =   3615
   End
   Begin VB.ComboBox cmbVisMode 
      Height          =   315
      ItemData        =   "frmVis2.frx":030A
      Left            =   120
      List            =   "frmVis2.frx":030C
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   6720
      Width           =   1935
   End
   Begin VB.PictureBox picGraph 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      ForeColor       =   &H80000008&
      Height          =   6300
      Left            =   0
      ScaleHeight     =   418
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   256
      TabIndex        =   0
      Top             =   0
      Width           =   3870
   End
   Begin VB.Label lblDynamicScroll 
      BackStyle       =   0  'Transparent
      Caption         =   "Dynamic Scroll"
      Height          =   255
      Left            =   2760
      TabIndex        =   13
      Top             =   6840
      Width           =   1095
   End
   Begin VB.Label lblStaticScroll 
      BackStyle       =   0  'Transparent
      Caption         =   "Static Scroll"
      Height          =   255
      Left            =   2760
      TabIndex        =   12
      Top             =   6600
      Width           =   975
   End
   Begin VB.Label lblFrequencyThreshold 
      BackStyle       =   0  'Transparent
      Caption         =   "Frequency Threshold"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   7200
      Visible         =   0   'False
      Width           =   2535
   End
   Begin VB.Label lblThresholdMax 
      BackStyle       =   0  'Transparent
      Caption         =   "20%"
      Height          =   255
      Left            =   3360
      TabIndex        =   7
      Top             =   7680
      Width           =   375
   End
   Begin VB.Label lblThresholdMin 
      BackStyle       =   0  'Transparent
      Caption         =   "0"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   7680
      Width           =   255
   End
   Begin VB.Label lblThreshold 
      Alignment       =   2  'Center
      BackColor       =   &H00808080&
      Caption         =   "5%"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1200
      TabIndex        =   5
      Top             =   7800
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "255"
      Height          =   255
      Left            =   3600
      TabIndex        =   3
      Top             =   6360
      Width           =   375
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "0"
      Height          =   255
      Left            =   0
      TabIndex        =   2
      Top             =   6360
      Width           =   255
   End
End
Attribute VB_Name = "frmVis2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'RUMINT, A PVR for network traffic
'Copyright (C) 2005 Greg Conti

'This program is free software; you can redistribute it and/or
'modify it under the terms of the GNU General Public License
'as published by the Free Software Foundation; either version 2
'of the License, or (at your option) any later version.

'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


Option Explicit 'force variable declaration
Public scrollLocation As Long 'note variable value is retained between calls
Public thumbnailScrollLocation As Long 'note variable value is retained between calls
Public originalHeight As Long 'used to toggle form size when switching between byte presence & frequency
                                 

'************************ Graphics *******************************

Public Sub Plot(ByVal packetNumber As Long, ByRef frequencyArray() As Single)
  Dim counter As Long
  Dim scaledColor As ColorConstants
 
  If radScroll(0).value = True Then 'static scroll
    'walk through the frequency array from lower bound to upper bound, 0..255
    'plot pixel if a byte exists at for each position 0..255
    For counter = LBound(frequencyArray) To UBound(frequencyArray)
      scaledColor = scaleColor(packetNumber, frequencyArray(counter))
      If scaledColor > 0 Then picGraph.PSet (counter, scrollLocation), scaledColor
    Next counter
    
    'check to see if you've reached the bottom of the display and jump to top if needed
    If scrollLocation < picGraph.ScaleHeight Then
      scrollLocation = scrollLocation + 1
    Else
      scrollLocation = 0
    End If
    
    'draw the scrolling position line, also serves to erase previous content
    picGraph.Line (0, scrollLocation)-(picGraph.ScaleWidth, scrollLocation), picGraph.BackColor
  Else
    If radScroll(1).value = True Then 'dynamic scroll
       'copy main image to buffer
    picGraphBack.Cls
    BitBlt picGraphBack.hDC, 0, 1, picGraph.ScaleWidth, _
       picGraph.ScaleHeight - 1, picGraph.hDC, 0, 0, vbSrcCopy
    
    'plot to back buffer
    
    'walk through the frequency array from lower bound to upper bound, 0..255
    'plot pixel if a byte exists at for each position 0..255
    For counter = LBound(frequencyArray) To UBound(frequencyArray)
      scaledColor = scaleColor(packetNumber, frequencyArray(counter))
      If scaledColor > 0 Then picGraphBack.PSet (counter, 1), scaledColor
    Next counter
    
    'copy buffer to main image
    picGraph.Cls
    BitBlt picGraph.hDC, 0, 0, picGraphBack.ScaleWidth, _
    picGraphBack.ScaleHeight, picGraphBack.hDC, 0, 0, vbSrcCopy
  
    'check to see if you've reached the bottom of the display and jump to top if needed
    If scrollLocation < picGraph.ScaleHeight Then
      scrollLocation = scrollLocation + 1
    Else
      scrollLocation = 0
    End If
    End If
  End If
      
    
End Sub

'This subroutine plots the thumbnail visualization
'on the main form
Public Sub plotThumbnail(ByRef frequencyArray() As Single)
    Dim counter As Long   'loop counter used to walk through array
    Dim maxDisplay As Long 'upperbound of array that can fit in picturebox
    
    'perform safety check to prevent array out of bounds
    'if picturebox happens to be larger than the array size
    If UBound(frequencyArray) < frmMain.picVis(2).ScaleWidth Then
      maxDisplay = UBound(frequencyArray)
    Else
      maxDisplay = frmMain.picVis(2).ScaleWidth
    End If
    
    'walk through array and plot pixels if byte is present
    For counter = LBound(frequencyArray) To maxDisplay
      If frequencyArray(counter) > 0 Then frmMain.picVis(2).PSet (counter, thumbnailScrollLocation), vbGreen
    Next counter
    
    'check to see if bottom of picture box is reached, jump to top if needed
    If thumbnailScrollLocation < frmMain.picVis(2).ScaleHeight Then
      thumbnailScrollLocation = thumbnailScrollLocation + 1
    Else
      thumbnailScrollLocation = 0
    End If
    
    'draw the scrolling position line, also serves to erase previous content
    frmMain.picVis(2).Line (0, thumbnailScrollLocation)-(frmMain.picVis(2).ScaleWidth - 1, thumbnailScrollLocation), frmMain.picVis(2).BackColor
    
End Sub

'This function is passed the frequency of the currenty byte
'it returns a color encoding based on the users threshold
Public Function scaleColor(packetNumber As Long, ByVal currentFrequency As Single) As ColorConstants
  Dim threshold As Single
  
  If currentFrequency = 0 Then
    scaleColor = vbBlack 'background color
  Else
    If cmbVisMode.ListIndex = 0 Then 'byte presence
      scaleColor = modEncodings.SetPlotColor(modLibrary.getPacketIPtransportProtocol(packetNumber)) 'this could also be the default color
    Else 'byte frequency
      threshold = ((scrThreshold.value / scrThreshold.Max) * 20) / 100 'scaled from 0-20%
      Select Case currentFrequency
        Case Is <= threshold
          scaleColor = vbBlue 'infrequent
        Case Else
         scaleColor = vbRed 'frequent
      End Select
    End If
  End If
End Function

'This subroutine is called to initialize the
'both the regular and thumbnail byte frequency
'displays.  Vis2 is an alternate name for this
'visualization technique
Public Sub initVis2All()
  initVis        'initialize the main visualization
  initVisThumb   'initialize the thumbnail visualization on the toolbar
  'Debug.Print
End Sub

'initialize the main visualization
Public Sub initVis()
  scrollLocation = 0 'reset current vertical location
  picGraph.Cls       'clear the graphics window
  picGraphBack.Cls   'clear the graphics buffer
End Sub

'initialize the thumnail visualization
Public Sub initVisThumb()
  'frmMain.picVis(2).BackColor = vbBlack 'reset the background color
  'frmMain.picVis(2).Cls                 'clear the graphics window
  'thumbnailScrollLocation = 0           'reset the current thumbnail vertical location
  frmMain.picVis(2).BorderStyle = 0
End Sub

'This subroutine is called when the user activates the large visualization
'it performs deactivation code for thumbnail
Public Sub grayVisThumb()
  'frmMain.picVis(2).Cls
  'frmMain.picVis(2).BackColor = &H404040
  frmMain.picVis(2).BorderStyle = 1
  'picgraph.
End Sub

'************************ Interface *******************************

'This subroutine handles the switch between byte presence
'and byte frequency modes. Appropriate GUI components are toggled.
Private Sub cmbVisMode_Click()
  If cmbVisMode.ListIndex = 0 Then 'byte presence
    Me.Height = originalHeight
    lblThreshold.Visible = False
    lblThresholdMax.Visible = False
    lblThresholdMin.Visible = False
    lblFrequencyThreshold.Visible = False
    scrThreshold.Visible = False
  Else 'byte frequency
    lblThreshold.Visible = True
    lblThresholdMax.Visible = True
    lblThresholdMin.Visible = True
    lblFrequencyThreshold.Visible = True
    scrThreshold.Visible = True
    Me.Height = originalHeight + 1045 'add extra space at bottom of form
  End If
End Sub

Private Sub radScroll_Click(Index As Integer)
  initVis2All
End Sub

Private Sub scrThreshold_Change()
 Call scrThreshold_Scroll
End Sub

Private Sub scrThreshold_Scroll()
  lblThreshold.Caption = ((scrThreshold.value / scrThreshold.Max) * 20) & "%"
End Sub


'Eventually this could allow the user to zoom by clicking the picture box
Private Sub picGraph_Click()
 'change zoom level
End Sub

'This subroutine places a tooltip based on the X coordinate
'of the mouse pointer.  Results are returned in decimal, hex and ASCII
Private Sub picGraph_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
  If X >= 0 And X <= 255 Then
    picGraph.ToolTipText = X & "  0x" & Hex(X) & "  " & Chr(X)
  End If
  'to the best of my knowledge VB does not have a mouseover event
  'this would make user interaction a little smoother
  'there is a mouseover workaround here... http://www.officecomputertraining.com/vbtutorial/tutpages/page10.asp
End Sub


'************************ Form *******************************

'If you implement resizing of the form the code goes here
Private Sub Form_Resize()
  ' I deferred implementing resizing of this form
  ' there appears to be some weird interactions between
  ' scale mode and setting absolute pixel dimensions.
  
  ' If you decide to give it a try, the function
  ' screen.twipsperpixelX may come in handy.
  ' e.g. Me.Width = ((Screen.TwipsPerPixelX) * 256) + 200 'convert twips to pixels
  
  ' you may wish to clear the window upon resize --> me.picgraph.cls
  ' if you do, you'll need to reset the current scroll location --> scrollLocation = 0
  
  'Note that form resize is called when form is loaded
  
  ' Also don't forget to resize both PicGraph and PicGraphBack (which is hidden)
End Sub

'this subroutine handles initialization actions when the
'form is first loaded
Private Sub Form_Load()
  Me.Height = Me.Height - 1045 'make form small, I did this to allow
                               'the large form (and its components)
                               'to be visible during development
  originalHeight = Me.Height
  cmbVisMode.AddItem ("byte presence") 'fill combobox with options
  cmbVisMode.AddItem ("byte frequency (by packet)")
  cmbVisMode.ListIndex = 0 'set to first item in the list (byte presence)
  scrThreshold.value = scrThreshold.Max * 0.5 'set default threshold to 50%
  Call scrThreshold_Scroll 'update scroll bar to the new threshold value
End Sub


'Actions to take when the form is unloaded
Private Sub Form_Unload(Cancel As Integer)
  Call modLibrary.UnloadedForm(Me, frmFilters.vis2) 'this is used to update menus on main form
End Sub

Public Sub ScreenShot(systemTime As String)
  SavePicture picGraph.Image, App.Path & "\" & systemTime & "_bytefrequency.bmp"
End Sub

Public Sub clear()
  scrollLocation = 0
  picGraph.Cls
  picGraphBack.Cls
  
  thumbnailScrollLocation = 0
  frmMain.picVis(2).Cls
End Sub

